# debuginfo-without-sources
%define debug_package %{nil}
%define major		1
%define libname		%mklibname %{name} %{major}
%define devname		%mklibname %{name} -d

Summary:	Movie player playing most video formats and DVDs
Name:		mpv
Version:	0.17.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Video/Players
Url:		http://%{name}.io/
Source0:	https://github.com/%{name}-player/%{name}/archive/v%{version}.tar.gz
Source1:	mpv.conf
Source2:	https://waf.io/waf-1.8.19
BuildRequires:	desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:	imagemagick
BuildRequires:	python-docutils
BuildRequires:	ladspa-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	jpeg-devel
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	libquvi-devel
BuildRequires:	pkgconfig(libv4lconvert)
BuildRequires:	linux-userspace-headers
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(dri)
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(enca)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libbluray)
BuildRequires:	pkgconfig(libbs2b)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcdio_cdda)
BuildRequires:	pkgconfig(libcdio_paranoia)
BuildRequires:	pkgconfig(libguess)
BuildRequires:	pkgconfig(libiso9660)
BuildRequires:	pkgconfig(libudf)
BuildRequires:	pkgconfig(libva)
BuildRequires:	pkgconfig(libva-x11)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-cursor)
BuildRequires:	pkgconfig(wayland-scanner)
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	wayland-tools
BuildRequires:	pkgconfig(rubberband)  >= 1.8.0
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(zlib)
BuildRequires:  perl
BuildRequires:  yasm
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(ptlib)
BuildRequires:  pkgconfig(sdl2)

Requires:       hicolor-icon-theme

Suggests:	youtube-dl

%description
Mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types. Special
input URL types are available to read input from a variety of sources other
than disk files. Depending on platform, a variety of different video and audio
output methods are supported.


%files
%doc LICENSE README.md Copyright etc/input.conf
%{_docdir}/%{name}/mplayer-input.conf
%{_docdir}/%{name}/mpv.conf
%{_docdir}/%{name}/restore-old-bindings.conf
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/apps/%{name}-symbolic.svg
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_mpv
%{_mandir}/man1/%{name}.*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf

#------------------------------------
%package -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
Mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types. Special
input URL types are available to read input from a variety of sources other
than disk files. Depending on platform, a variety of different video and audio
output methods are supported.

%files -n %{libname}
%doc LICENSE README.md Copyright
%{_libdir}/*.so.*

#------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types. Special
input URL types are available to read input from a variety of sources other
than disk files. Depending on platform, a variety of different video and audio
output methods are supported.

%files -n %{devname}
%doc LICENSE README.md Copyright
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/client.h
%{_includedir}/%{name}/qthelper.hpp
%{_includedir}/%{name}/opengl_cb.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q
cp -R %{SOURCE2} waf && chmod +x waf

%build
LDFLAGS="%{ldflags} -lSDL" \
CCFLAGS="%{optflags}" \
./waf configure \
	--prefix="%{_prefix}" \
	--bindir="%{_bindir}" \
	--mandir="%{_mandir}" \
	--libdir="%{_libdir}" \
	--docdir="%{_docdir}/%{name}" \
	--confdir="%{_sysconfdir}/%{name}" \
	--disable-libass \
	--disable-build-date \
	--disable-debug \
	--enable-openal \
	--enable-cdda \
	--enable-pulse \
	--enable-wayland \
	--enable-gl-wayland \
	--enable-egl-x11 \
	--enable-vaapi \
	--enable-vaapi-glx \
	--enable-vaapi-hwaccel \
	--enable-libmpv-shared \
	--enable-libass \
	--enable-libass-osd \
	--disable-debug \
	--enable-sdl2 \
	--enable-zsh-comp 
	
./waf build --verbose

%install
./waf --destdir=%{buildroot} install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

# add a default config that prefers hardware decoding if avalaible
mkdir -p %{buildroot}/etc/mpv/
cp %SOURCE1 %{buildroot}/etc/mpv/



%changelog
* Mon May 02 2016 zezinho <zezinho> 0.17.0-1.mga5
+ Revision: 1008621
- add default mpv.conf
- backport defaulting to hardware decoding from cauldron
- backport updated to 0.17 version
- include waf build tool as MGA5 version is too old
- copy for backport

* Fri Jan 22 2016 zezinho <zezinho> 0.15.0-1.mga6
+ Revision: 926592
- new version

* Sat Jan 02 2016 zezinho <zezinho> 0.14.0-1.mga6
+ Revision: 918535
- new version 0.14
-removed now useless vaapi-vpp flag
- clean stuff

* Thu Nov 05 2015 ovitters <ovitters> 0.11.0-3.mga6
+ Revision: 897968
- enable on-screen-display

* Mon Oct 12 2015 ovitters <ovitters> 0.11.0-2.mga6
+ Revision: 890114
- enable x11-egl
- enable wayland support

* Wed Sep 30 2015 zezinho <zezinho> 0.11.0-1.mga6
+ Revision: 885445
- started from http://repo.mageia.org.pl/5/ mpv SRPM - removed bundled waf - upgraded to latest version 0.11.0
- imported package mpv



* Thu Apr 30 2015 abfonly <John@smith.org> 0.9.1-1
- (b7787d1) Log: Update to 0.9.1, disble too old libass( asked for update on bugzilla),build pdf man pages, enable rubberband


